%define name perl-Apache-LimitIPConn
%define real_name Apache-LimitIPConn
%define perl-prefix Apache
%define version 0.05
%define perlver 5.6.0
%define release 1

Summary:	Limit simultaneous connections by an IP address
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.perl.com/CPAN-local/modules/by-module/%{perl-prefix}/%{real_name}-%{version}.tar.gz
Prefix:		%{_prefix}
Packager:	David Jao <djao@dominia.org>
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Apache::LimitIPConn module lets you enforce limits on the number of
simultaneous downloads allowed from a single IP address. You can also
control which MIME types are affected by the limits.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README
/usr/lib/perl5/site_perl/%{perlver}/i386-linux/auto/Apache/LimitIPConn
/usr/lib/perl5/site_perl/%{perlver}/Apache/LimitIPConn.pm
/usr/lib/perl5/man/man3/Apache::LimitIPConn.3*
